Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewsPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewsPackageImpl

All Implemented Interfaces:
  `ReviewsPackage`, `Notifier`, `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ReviewsPackageImpl extends EPackageImpl implements ReviewsPackage
An implementation of the model Package.

Generated
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.lm.reviews.ReviewsPackage

`ReviewsPackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.reviews.ReviewsPackage

`ANNOTATION_SOURCE, AUTHORABLE, AUTHORABLE___GET_ANNOTATION__STRING, AUTHORABLE___GET_SYSTEM, AUTHORABLE__ANNOTATIONS, AUTHORABLE__AUTHOR, AUTHORABLE__CREATION_TIME, AUTHORABLE__EDIT_TIME, AUTHORABLE__ID, AUTHORABLE__TEXT, AUTHORABLE_FEATURE_COUNT, AUTHORABLE_OPERATION_COUNT, COMMENT, COMMENT___GET_ANNOTATION__STRING, COMMENT___GET_SYSTEM, COMMENT__ANNOTATIONS, COMMENT__AUTHOR, COMMENT__CONTAINER, COMMENT__CREATION_TIME, COMMENT__EDIT_TIME, COMMENT__ID, COMMENT__REPLY_TO, COMMENT__REVIEW, COMMENT__TEXT, COMMENT_FEATURE_COUNT, COMMENT_OPERATION_COUNT, DELIVERY_REVIEW, DELIVERY_REVIEW___GET_ANNOTATION__STRING, DELIVERY_REVIEW___GET_BASE, DELIVERY_REVIEW___GET_BASE_TIME_STAMP, DELIVERY_REVIEW___GET_BRANCH, DELIVERY_REVIEW___GET_BRANCH_POINT, DELIVERY_REVIEW___GET_DELIVERIES, DELIVERY_REVIEW___GET_MODULE, DELIVERY_REVIEW___GET_NAME, DELIVERY_REVIEW___GET_STREAM, DELIVERY_REVIEW___GET_SYSTEM, DELIVERY_REVIEW__ANNOTATIONS, DELIVERY_REVIEW__AUTHOR, DELIVERY_REVIEW__BASE, DELIVERY_REVIEW__BRANCH, DELIVERY_REVIEW__CLOSED, DELIVERY_REVIEW__COMMENTS, DELIVERY_REVIEW__DELIVERIES, DELIVERY_REVIEW__FLOATING, DELIVERY_REVIEW__ID, DELIVERY_REVIEW__IMPACT, DELIVERY_REVIEW__REBASE_COUNT, DELIVERY_REVIEW__RESOLVED_COUNT, DELIVERY_REVIEW__REVIEW, DELIVERY_REVIEW__REVIEWERS, DELIVERY_REVIEW__SOURCE_CHANGE, DELIVERY_REVIEW__SOURCE_COMMIT, DELIVERY_REVIEW__STATUS, DELIVERY_REVIEW__STREAM, DELIVERY_REVIEW__TARGET_COMMIT, DELIVERY_REVIEW__TOPIC_COUNT, DELIVERY_REVIEW__TOPICS, DELIVERY_REVIEW__UNRESOLVED_COUNT, DELIVERY_REVIEW_FEATURE_COUNT, DELIVERY_REVIEW_OPERATION_COUNT, DROP_REVIEW, DROP_REVIEW___GET_ANNOTATION__STRING, DROP_REVIEW___GET_BASE_TIME_STAMP, DROP_REVIEW___GET_BASED_CHANGES, DROP_REVIEW___GET_BRANCH_POINT, DROP_REVIEW___GET_MODULE, DROP_REVIEW___GET_NAME, DROP_REVIEW___GET_STREAM, DROP_REVIEW___GET_SYSTEM, DROP_REVIEW__ANNOTATIONS, DROP_REVIEW__AUTHOR, DROP_REVIEW__COMMENTS, DROP_REVIEW__DELIVERY, DROP_REVIEW__DEPENDENCIES, DROP_REVIEW__DROP_LABEL, DROP_REVIEW__DROP_TYPE, DROP_REVIEW__FLOATING, DROP_REVIEW__ID, DROP_REVIEW__RESOLVED_COUNT, DROP_REVIEW__REVIEW, DROP_REVIEW__REVIEWERS, DROP_REVIEW__STATUS, DROP_REVIEW__STREAM, DROP_REVIEW__TARGET_TIME_STAMP, DROP_REVIEW__TOPIC_COUNT, DROP_REVIEW__TOPICS, DROP_REVIEW__UNRESOLVED_COUNT, DROP_REVIEW__VERSION, DROP_REVIEW_FEATURE_COUNT, DROP_REVIEW_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, MODEL_REFERENCE, REVIEW, REVIEW___GET_ANNOTATION__STRING, REVIEW___GET_BASE_TIME_STAMP, REVIEW___GET_BRANCH_POINT, REVIEW___GET_MODULE, REVIEW___GET_NAME, REVIEW___GET_STREAM, REVIEW___GET_SYSTEM, REVIEW__ANNOTATIONS, REVIEW__AUTHOR, REVIEW__COMMENTS, REVIEW__FLOATING, REVIEW__ID, REVIEW__RESOLVED_COUNT, REVIEW__REVIEW, REVIEW__REVIEWERS, REVIEW__STATUS, REVIEW__STREAM, REVIEW__TOPIC_COUNT, REVIEW__TOPICS, REVIEW__UNRESOLVED_COUNT, REVIEW_FEATURE_COUNT, REVIEW_OPERATION_COUNT, REVIEW_STATUS, REVIEW_TEMPLATE, REVIEW_TEMPLATE___GET_ANNOTATION__STRING, REVIEW_TEMPLATE___GET_SYSTEM, REVIEW_TEMPLATE__ANNOTATIONS, REVIEW_TEMPLATE__COMMENTS, REVIEW_TEMPLATE__RESOLVED_COUNT, REVIEW_TEMPLATE__REVIEW, REVIEW_TEMPLATE__REVIEWERS, REVIEW_TEMPLATE__TOPIC_COUNT, REVIEW_TEMPLATE__TOPICS, REVIEW_TEMPLATE__UNRESOLVED_COUNT, REVIEW_TEMPLATE_FEATURE_COUNT, REVIEW_TEMPLATE_OPERATION_COUNT, TOPIC, TOPIC___GET_ANNOTATION__STRING, TOPIC___GET_SYSTEM, TOPIC__ANNOTATIONS, TOPIC__AUTHOR, TOPIC__COMMENTS, TOPIC__CONTAINER, TOPIC__CREATION_TIME, TOPIC__EDIT_TIME, TOPIC__HEADING, TOPIC__ID, TOPIC__MODEL_REFERENCE, TOPIC__NEXT_HEADING, TOPIC__OUTLINE_NUMBER, TOPIC__PARENT_HEADING, TOPIC__PARENT_INDEX, TOPIC__PREVIOUS_HEADING, TOPIC__RESOLVED_COUNT, TOPIC__REVIEW, TOPIC__STATUS, TOPIC__TEXT, TOPIC__TOPIC_COUNT, TOPIC__TOPICS, TOPIC__UNRESOLVED_COUNT, TOPIC_CONTAINER, TOPIC_CONTAINER___GET_ANNOTATION__STRING, TOPIC_CONTAINER___GET_SYSTEM, TOPIC_CONTAINER__ANNOTATIONS, TOPIC_CONTAINER__COMMENTS, TOPIC_CONTAINER__RESOLVED_COUNT, TOPIC_CONTAINER__REVIEW, TOPIC_CONTAINER__TOPIC_COUNT, TOPIC_CONTAINER__TOPICS, TOPIC_CONTAINER__UNRESOLVED_COUNT, TOPIC_CONTAINER_FEATURE_COUNT, TOPIC_CONTAINER_OPERATION_COUNT, TOPIC_FEATURE_COUNT, TOPIC_OPERATION_COUNT, TOPIC_STATUS`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`EClass`
`getAuthorable()`
`EAttribute`
`getAuthorable_Author()`
`EAttribute`
`getAuthorable_CreationTime()`
`EAttribute`
`getAuthorable_EditTime()`
`EAttribute`
`getAuthorable_Id()`
`EAttribute`
`getAuthorable_Text()`
`EClass`
`getComment()`
`EReference`
`getComment_Container()`
`EReference`
`getComment_ReplyTo()`
`EReference`
`getComment_Review()`
`EClass`
`getDeliveryReview()`
`EReference`
`getDeliveryReview_Base()`
`EAttribute`
`getDeliveryReview_Branch()`
`EReference`
`getDeliveryReview_Deliveries()`
`EAttribute`
`getDeliveryReview_Impact()`
`EAttribute`
`getDeliveryReview_RebaseCount()`
`EReference`
`getDeliveryReview_SourceChange()`
`EAttribute`
`getDeliveryReview_SourceCommit()`
`EAttribute`
`getDeliveryReview_TargetCommit()`
`EClass`
`getDropReview()`
`EReference`
`getDropReview_Delivery()`
`EAttribute`
`getDropReview_DropLabel()`
`EReference`
`getDropReview_DropType()`
`EAttribute`
`getDropReview_TargetTimeStamp()`
`EDataType`
`getModelReference()`
`EClass`
`getReview()`
`EAttribute`
`getReview_Author()`
`EAttribute`
`getReview_Id()`
`EAttribute`
`getReview_Reviewers()`
`EAttribute`
`getReview_Status()`
`ReviewsFactory`
`getReviewsFactory()`
`EEnum`
`getReviewStatus()`
`EClass`
`getReviewTemplate()`
`EAttribute`
`getReviewTemplate_Reviewers()`
`EClass`
`getTopic()`
`EReference`
`getTopic_Container()`
`EAttribute`
`getTopic_Heading()`
`EAttribute`
`getTopic_ModelReference()`
`EReference`
`getTopic_NextHeading()`
`EAttribute`
`getTopic_OutlineNumber()`
`EReference`
`getTopic_ParentHeading()`
`EAttribute`
`getTopic_ParentIndex()`
`EReference`
`getTopic_PreviousHeading()`
`EAttribute`
`getTopic_Status()`
`EClass`
`getTopicContainer()`
`EReference`
`getTopicContainer_Comments()`
`EAttribute`
`getTopicContainer_ResolvedCount()`
`EReference`
`getTopicContainer_Review()`
`EAttribute`
`getTopicContainer_TopicCount()`
`EReference`
`getTopicContainer_Topics()`
`EAttribute`
`getTopicContainer_UnresolvedCount()`
`EEnum`
`getTopicStatus()`
`static ReviewsPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ReviewsPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ReviewsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `ReviewsPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`
Generated

### getAuthorable

public EClass getAuthorable()

Specified by:
  `getAuthorable` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Authorable'.
See Also:
  - `Authorable`
Generated

### getAuthorable_Id

public EAttribute getAuthorable_Id()

Specified by:
  `getAuthorable_Id` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Authorable.getId()`
  - `ReviewsPackage.getAuthorable()`
Generated

### getAuthorable_Text

public EAttribute getAuthorable_Text()

Specified by:
  `getAuthorable_Text` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `Authorable.getText()`
  - `ReviewsPackage.getAuthorable()`
Generated

### getAuthorable_Author

public EAttribute getAuthorable_Author()

Specified by:
  `getAuthorable_Author` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Authorable.getAuthor()`
  - `ReviewsPackage.getAuthorable()`
Generated

### getAuthorable_CreationTime

public EAttribute getAuthorable_CreationTime()

Specified by:
  `getAuthorable_CreationTime` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Creation Time'.
See Also:
  - `Authorable.getCreationTime()`
  - `ReviewsPackage.getAuthorable()`
Generated

### getAuthorable_EditTime

public EAttribute getAuthorable_EditTime()

Specified by:
  `getAuthorable_EditTime` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Edit Time'.
See Also:
  - `Authorable.getEditTime()`
  - `ReviewsPackage.getAuthorable()`
Generated

### getTopicContainer

public EClass getTopicContainer()

Specified by:
  `getTopicContainer` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Topic Container'.
See Also:
  - `TopicContainer`
Generated

### getTopicContainer_Comments

public EReference getTopicContainer_Comments()

Specified by:
  `getTopicContainer_Comments` in interface `ReviewsPackage`
Returns:
  the meta object for the containment reference list 'Comments'.
See Also:
  - `TopicContainer.getComments()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getTopicContainer_TopicCount

public EAttribute getTopicContainer_TopicCount()

Specified by:
  `getTopicContainer_TopicCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Topic Count'.
See Also:
  - `TopicContainer.getTopicCount()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getTopicContainer_UnresolvedCount

public EAttribute getTopicContainer_UnresolvedCount()

Specified by:
  `getTopicContainer_UnresolvedCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Unresolved Count'.
See Also:
  - `TopicContainer.getUnresolvedCount()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getTopicContainer_ResolvedCount

public EAttribute getTopicContainer_ResolvedCount()

Specified by:
  `getTopicContainer_ResolvedCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Resolved Count'.
See Also:
  - `TopicContainer.getResolvedCount()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getTopicContainer_Topics

public EReference getTopicContainer_Topics()

Specified by:
  `getTopicContainer_Topics` in interface `ReviewsPackage`
Returns:
  the meta object for the containment reference list 'Topics'.
See Also:
  - `TopicContainer.getTopics()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getTopicContainer_Review

public EReference getTopicContainer_Review()

Specified by:
  `getTopicContainer_Review` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Review'.
See Also:
  - `TopicContainer.getReview()`
  - `ReviewsPackage.getTopicContainer()`
Generated

### getComment

public EClass getComment()

Specified by:
  `getComment` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Comment'.
See Also:
  - `Comment`
Generated

### getComment_Container

public EReference getComment_Container()

Specified by:
  `getComment_Container` in interface `ReviewsPackage`
Returns:
  the meta object for the container reference 'Container'.
See Also:
  - `Comment.getContainer()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_ReplyTo

public EReference getComment_ReplyTo()

Specified by:
  `getComment_ReplyTo` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Reply To'.
See Also:
  - `Comment.getReplyTo()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_Review

public EReference getComment_Review()

Specified by:
  `getComment_Review` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Review'.
See Also:
  - `Comment.getReview()`
  - `ReviewsPackage.getComment()`
Generated

### getTopic

public EClass getTopic()

Specified by:
  `getTopic` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Topic'.
See Also:
  - `Topic`
Generated

### getTopic_Heading

public EAttribute getTopic_Heading()

Specified by:
  `getTopic_Heading` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Heading'.
See Also:
  - `Topic.isHeading()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_ModelReference

public EAttribute getTopic_ModelReference()

Specified by:
  `getTopic_ModelReference` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Model Reference'.
See Also:
  - `Topic.getModelReference()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_Status

public EAttribute getTopic_Status()

Specified by:
  `getTopic_Status` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Topic.getStatus()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_Container

public EReference getTopic_Container()

Specified by:
  `getTopic_Container` in interface `ReviewsPackage`
Returns:
  the meta object for the container reference 'Container'.
See Also:
  - `Topic.getContainer()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_ParentHeading

public EReference getTopic_ParentHeading()

Specified by:
  `getTopic_ParentHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Parent Heading'.
See Also:
  - `Topic.getParentHeading()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_PreviousHeading

public EReference getTopic_PreviousHeading()

Specified by:
  `getTopic_PreviousHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Previous Heading'.
See Also:
  - `Topic.getPreviousHeading()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_NextHeading

public EReference getTopic_NextHeading()

Specified by:
  `getTopic_NextHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Next Heading'.
See Also:
  - `Topic.getNextHeading()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_OutlineNumber

public EAttribute getTopic_OutlineNumber()

Specified by:
  `getTopic_OutlineNumber` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Outline Number'.
See Also:
  - `Topic.getOutlineNumber()`
  - `ReviewsPackage.getTopic()`
Generated

### getTopic_ParentIndex

public EAttribute getTopic_ParentIndex()

Specified by:
  `getTopic_ParentIndex` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Parent Index'.
See Also:
  - `Topic.getParentIndex()`
  - `ReviewsPackage.getTopic()`
Generated

### getReviewTemplate

public EClass getReviewTemplate()

Specified by:
  `getReviewTemplate` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Review Template'.
See Also:
  - `ReviewTemplate`
Generated

### getReviewTemplate_Reviewers

public EAttribute getReviewTemplate_Reviewers()

Specified by:
  `getReviewTemplate_Reviewers` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `ReviewTemplate.getReviewers()`
  - `ReviewsPackage.getReviewTemplate()`
Generated

### getReview

public EClass getReview()

Specified by:
  `getReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Review'.
See Also:
  - `Review`
Generated

### getReview_Id

public EAttribute getReview_Id()

Specified by:
  `getReview_Id` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Review.getId()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Author

public EAttribute getReview_Author()

Specified by:
  `getReview_Author` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Review.getAuthor()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Reviewers

public EAttribute getReview_Reviewers()

Specified by:
  `getReview_Reviewers` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `Review.getReviewers()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Status

public EAttribute getReview_Status()

Specified by:
  `getReview_Status` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Review.getStatus()`
  - `ReviewsPackage.getReview()`
Generated

### getDeliveryReview

public EClass getDeliveryReview()

Specified by:
  `getDeliveryReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Delivery Review'.
See Also:
  - `DeliveryReview`
Generated

### getDeliveryReview_Base

public EReference getDeliveryReview_Base()

Specified by:
  `getDeliveryReview_Base` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Base'.
See Also:
  - `DeliveryReview.getBase()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Impact

public EAttribute getDeliveryReview_Impact()

Specified by:
  `getDeliveryReview_Impact` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Impact'.
See Also:
  - `DeliveryReview.getImpact()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Branch

public EAttribute getDeliveryReview_Branch()

Specified by:
  `getDeliveryReview_Branch` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Branch'.
See Also:
  - `DeliveryReview.getBranch()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Deliveries

public EReference getDeliveryReview_Deliveries()

Specified by:
  `getDeliveryReview_Deliveries` in interface `ReviewsPackage`
Returns:
  the meta object for the reference list 'Deliveries'.
See Also:
  - `DeliveryReview.getDeliveries()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_SourceChange

public EReference getDeliveryReview_SourceChange()

Specified by:
  `getDeliveryReview_SourceChange` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Source Change'.
See Also:
  - `DeliveryReview.getSourceChange()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_SourceCommit

public EAttribute getDeliveryReview_SourceCommit()

Specified by:
  `getDeliveryReview_SourceCommit` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Source Commit'.
See Also:
  - `DeliveryReview.getSourceCommit()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_TargetCommit

public EAttribute getDeliveryReview_TargetCommit()

Specified by:
  `getDeliveryReview_TargetCommit` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Target Commit'.
See Also:
  - `DeliveryReview.getTargetCommit()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_RebaseCount

public EAttribute getDeliveryReview_RebaseCount()

Specified by:
  `getDeliveryReview_RebaseCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Rebase Count'.
See Also:
  - `DeliveryReview.getRebaseCount()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDropReview

public EClass getDropReview()

Specified by:
  `getDropReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Drop Review'.
See Also:
  - `DropReview`
Generated

### getDropReview_Delivery

public EReference getDropReview_Delivery()

Specified by:
  `getDropReview_Delivery` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Delivery'.
See Also:
  - `DropReview.getDelivery()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_TargetTimeStamp

public EAttribute getDropReview_TargetTimeStamp()

Specified by:
  `getDropReview_TargetTimeStamp` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Target Time Stamp'.
See Also:
  - `DropReview.getTargetTimeStamp()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_DropType

public EReference getDropReview_DropType()

Specified by:
  `getDropReview_DropType` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Drop Type'.
See Also:
  - `DropReview.getDropType()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_DropLabel

public EAttribute getDropReview_DropLabel()

Specified by:
  `getDropReview_DropLabel` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Drop Label'.
See Also:
  - `DropReview.getDropLabel()`
  - `ReviewsPackage.getDropReview()`
Generated

### getTopicStatus

public EEnum getTopicStatus()

Specified by:
  `getTopicStatus` in interface `ReviewsPackage`
Returns:
  the meta object for enum 'Topic Status'.
See Also:
  - `TopicStatus`
Generated

### getModelReference

public EDataType getModelReference()

Specified by:
  `getModelReference` in interface `ReviewsPackage`
Returns:
  the meta object for data type 'Model Reference'.
See Also:
  - `ModelReference`
Generated

### getReviewStatus

public EEnum getReviewStatus()

Specified by:
  `getReviewStatus` in interface `ReviewsPackage`
Returns:
  the meta object for enum 'Review Status'.
See Also:
  - `ReviewStatus`
Generated

### getReviewsFactory

public ReviewsFactory getReviewsFactory()

Specified by:
  `getReviewsFactory` in interface `ReviewsPackage`
Returns:
  the factory that creates the instances of the model.
Generated

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

Generated

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Generated